| The Gaudi Framework v32r1 (f65d50dc)

Public Attributes | List of all members
pfm_amd64_sel_reg_t Union Reference

`#include <src/component/perfmon/pfmlib_amd64.h>`

## Public Attributes
uint64_t | val
struct {
uint64_t sel_event_mask: 8
uint64_t sel_unit_mask: 8
uint64_t sel_usr: 1
uint64_t sel_os: 1
uint64_t sel_edge: 1
uint64_t sel_pc: 1
uint64_t sel_int: 1
uint64_t sel_res1: 1
uint64_t sel_en: 1
uint64_t sel_inv: 1
uint64_t sel_cnt_mask: 8
uint64_t sel_event_mask2: 4
uint64_t sel_res2: 4
uint64_t sel_guest: 1
uint64_t sel_host: 1
uint64_t sel_res3: 22
} | perfsel

## Detailed Description

Definition at line 49 of file pfmlib_amd64.h.

## Member Data Documentation

## ◆ perfsel

struct { ... } pfm_amd64_sel_reg_t::perfsel

## ◆ sel_cnt_mask

uint64_t pfm_amd64_sel_reg_t::sel_cnt_mask

Definition at line 62 of file pfmlib_amd64.h.

## ◆ sel_edge

uint64_t pfm_amd64_sel_reg_t::sel_edge

Definition at line 56 of file pfmlib_amd64.h.

## ◆ sel_en

uint64_t pfm_amd64_sel_reg_t::sel_en

Definition at line 60 of file pfmlib_amd64.h.

## ◆ sel_event_mask

uint64_t pfm_amd64_sel_reg_t::sel_event_mask

Definition at line 52 of file pfmlib_amd64.h.

## ◆ sel_event_mask2

uint64_t pfm_amd64_sel_reg_t::sel_event_mask2

Definition at line 63 of file pfmlib_amd64.h.

## ◆ sel_guest

uint64_t pfm_amd64_sel_reg_t::sel_guest

Definition at line 65 of file pfmlib_amd64.h.

## ◆ sel_host

uint64_t pfm_amd64_sel_reg_t::sel_host

Definition at line 66 of file pfmlib_amd64.h.

## ◆ sel_int

uint64_t pfm_amd64_sel_reg_t::sel_int

Definition at line 58 of file pfmlib_amd64.h.

## ◆ sel_inv

uint64_t pfm_amd64_sel_reg_t::sel_inv

Definition at line 61 of file pfmlib_amd64.h.

## ◆ sel_os

uint64_t pfm_amd64_sel_reg_t::sel_os

Definition at line 55 of file pfmlib_amd64.h.

## ◆ sel_pc

uint64_t pfm_amd64_sel_reg_t::sel_pc

Definition at line 57 of file pfmlib_amd64.h.

## ◆ sel_res1

uint64_t pfm_amd64_sel_reg_t::sel_res1

Definition at line 59 of file pfmlib_amd64.h.

## ◆ sel_res2

uint64_t pfm_amd64_sel_reg_t::sel_res2

Definition at line 64 of file pfmlib_amd64.h.

## ◆ sel_res3

uint64_t pfm_amd64_sel_reg_t::sel_res3

Definition at line 67 of file pfmlib_amd64.h.

## ◆ sel_unit_mask

uint64_t pfm_amd64_sel_reg_t::sel_unit_mask

Definition at line 53 of file pfmlib_amd64.h.

## ◆ sel_usr

uint64_t pfm_amd64_sel_reg_t::sel_usr

Definition at line 54 of file pfmlib_amd64.h.

## ◆ val

uint64_t pfm_amd64_sel_reg_t::val

Definition at line 50 of file pfmlib_amd64.h.

The documentation for this union was generated from the following file:

- GaudiProfiling/src/component/perfmon/pfmlib_amd64.h